need a custom ASC.JAR for tamarin-redux ?

Lars Hansen lhansen at adobe.com
Wed Mar 2 06:35:01 PST 2011


Oh foo.  So the binary available via mozilla.org is also stale?  That's
the only one I ever download and use (I thought), and I don't seem to have
any problems building.

--lars

On 3/2/11 3:29 PM, "Jeff Dyer" <jodyer at adobe.com> wrote:

>Lars,
>
>I think the issue Sam is running into is
>https://bugzilla.mozilla.org/show_bug.cgi?id=631641.
>
>It would be good if someone who is currently working on Tamarin could fix
>this soon.
>
>Jd
>
>> -----Original Message-----
>> From: tamarin-devel-bounces at mozilla.org [mailto:tamarin-devel-
>> bounces at mozilla.org] On Behalf Of Lars Hansen
>> Sent: Wednesday, March 02, 2011 4:27 AM
>> To: Sam Wu; zwetan
>> Cc: tamarin-devel at mozilla.org
>> Subject: Re: need a custom ASC.JAR for tamarin-redux ?
>> 
>> Usually this means you need a new version of ASC.  --lars
>> 
>> From: Sam Wu <elimsam at gmail.com>
>> Date: Tue, 1 Mar 2011 17:14:20 -0800
>> To: zwetan <zwetan at gmail.com>
>> Cc: "tamarin-devel at mozilla.org" <tamarin-devel at mozilla.org>
>> Subject: Re: need a custom ASC.JAR for tamarin-redux ?
>> 
>> 
>> Hi all,
>> 
>> I am wondering has this issue been fixed? I updated the source recently
>> (have done so for 3 months) and get a similar error when running
>> builtin.py, only the unrecognized version become 676. I tried to look
>>for
>> api-versions.java, and it was removed from the source in changeset
>> ec74cd1cba8a. Is there a new way to run the script or am I missing
>> something?
>> 
>> Thanks
>> Sam
>> 
>> On Mon, Dec 27, 2010 at 9:59 PM, zwetan <zwetan at gmail.com> wrote:
>> 
>> 
>>     humm there is also another problem with builtin
>> 
>>     -----
>>     $ ./builtin.py builtin.as
>>     ASC=../utils/asc.jar
>>     Building builtins...
>>     internal error: unrecognized version '675' in API metadata
>> 
>> /work/buRRRn/products/RedTamarin/redtamarin/src/tamarin/core/builtin.as,
>>     Ln 1, Col 1:
>>       /* -*- c-basic-offset: 4; indent-tabs-mode: nil; tab-width: 4 -*-
>> */
>>       ^
>> 
>>     internal error: unrecognized version '675' in API metadata
>> 
>> /work/buRRRn/products/RedTamarin/redtamarin/src/tamarin/core/builtin.as,
>>     Ln 1, Col 1:
>>       /* -*- c-basic-offset: 4; indent-tabs-mode: nil; tab-width: 4 -*-
>> */
>>       ^
>> 
>>     Files: 9 Time: 1503ms
>>     Generating native thunks...
>>     Done.
>> 
>>     -----
>> 
>>     strange because api-version.as does define
>>     CONFIG const AIR_SYS = 675;
>> 
>> 
>>     zwetan
>>     _______________________________________________
>>     Tamarin-devel mailing list
>>     Tamarin-devel at mozilla.org
>>     https://mail.mozilla.org/listinfo/tamarin-devel
>> 
>> 
>



More information about the Tamarin-devel mailing list